Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class IntervalMarker

    java.lang.Object
      org.jfree.chart.plot.Marker
          org.jfree.chart.plot.IntervalMarker

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class IntervalMarker
extends Marker
implements java.lang.Cloneable, java.io.Serializable

Represents an interval to be highlighted in some way.

See Also:
  Serialized Form

Constructor Summary
`IntervalMarker(double start, double end)` Constructs an interval marker.
`IntervalMarker(double start, double end, java.awt.Paint paint, java.awt.Stroke stroke, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, float alpha)` Constructs an interval marker.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of the marker.
`double` | `getEndValue()` Returns the end value for the interval.
`double` | `getStartValue()` Returns the start value for the interval.

Methods inherited from class org.jfree.chart.plot.Marker
`equals, getAlpha, getLabel, getLabelAnchor, getLabelFont, getLabelOffset, getLabelPaint, getLabelTextAnchor, getOutlinePaint, getOutlineStroke, getPaint, getStroke, setAlpha, setLabel, setLabelAnchor, setLabelFont, setLabelOffset, setLabelPaint, setLabelTextAnchor, setOutlinePaint, setOutlineStroke, setPaint, setStroke`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntervalMarker

    public IntervalMarker(double start,
                          double end)

  Constructs an interval marker.

Parameters:
  `start` - the start of the interval.
  `end` - the end of the interval.

### IntervalMarker

    public IntervalMarker(double start,
                          double end,
                          java.awt.Paint paint,
                          java.awt.Stroke stroke,
                          java.awt.Paint outlinePaint,
                          java.awt.Stroke outlineStroke,
                          float alpha)

  Constructs an interval marker.

Parameters:
  `start` - the start of the interval.
  `end` - the end of the interval.
  `paint` - the paint.
  `stroke` - the stroke.
  `outlinePaint` - the outline paint.
  `outlineStroke` - the outline stroke.
  `alpha` - the alpha transparency.

Method Detail

### getStartValue

    public double getStartValue()

  Returns the start value for the interval.

  Returns:
    The start value.

### getEndValue

    public double getEndValue()

  Returns the end value for the interval.

  Returns:
    The end value.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the marker.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - Not thrown by this class, but the exception is declared for the use of subclasses.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD